//<c>   Copyright 1990-1999 by Gerry J. Danen; all rights reserved.

//<t>   Check whether MultiUser Btrieve is installed

#include"gd_tools.h"
#include"gd_btrv.h"


BOOL    bt_mu_installed( void )
{
    R_REGS ;
#if ! WINDOZE_VERSION
    S_SREGS ;
    _segread( &s );
#endif

    if ( _osmajor < 3 )
        return( FALSE );                        // can't check some, assume not loaded

    _AX = 0xAB00 ;
#if WINDOZE_VERSION
    _int86( MULTIPLEX_FUNCTION, &r, &r );
#else
    _int86x( MULTIPLEX_FUNCTION, &r, &r, &s );
#endif

//~~~
// printf( "AL=%02X BX=%02X\n", _AL, _BX );

    if ( _AL == 0x4D )                          // if AL is M, multi-user Btrieve is loaded
        return( TRUE );

    return( FALSE );
}


#if 0
void    main( void )
{
    printf( "Btrieve Record Manager (MU) is %sloaded\n", bt_mu_installed() ? "" : "not " );
}
#endif
