//<c>   Copyright 1980-1999 by Gerry J. Danen; all rights reserved.

//<t>   Return the Number of Days in the Month

//<y>   Y2K compliance depends on other functions


#include"gd_tools.h"
#include"gd_y2k.h"

#pragma check_stack(off)


static  int days_in_mth_[] = { 31,28,31,30,31,30,31,31,30,31,30,31 };


INT16   DaysInMonth( INT32 ymd )
{
    int y, m, d ;

    if ( DateSplit( ymd, &y, &m, &d ) == ERROR )
        return( 0 );                            // illegal date
    d = days_in_mth_[m-1] ;
    if ( m == 2 )                               // February
        if ( IsLeapYear( y ) )                  // leap year
            d = 29 ;
    return( d );
}
