//<c>   Copyright 1980-1999 by Gerry J. Danen; all rights reserved.

//<t>   Calculate the Day of the Year

//<y>   Y2K compliance depends on other functions


#include"gd_tools.h"
#include"gd_y2k.h"


INT16   JulianDay( INT32 ymd )
{
    INT16       i, y, m, d, days;

    if ( DateSplit( ymd, &y, &m, &d ) == ERROR )
        return( 0 );                            // illegal date
    days = d;
    if ( m > 1 )
    {
        for ( i=1 ; i < m ; i++ )
        {
            days = days + DaysInMonth( ((long) y*10000L + i*100L + 1) );
        }
    }
    return( days );
}
