//<c>   Copyright 1980-1999 by Gerry J. Danen; all rights reserved.

//<t>   Convert 2-digit year to sliding window 4-digit year

//<y>   Y2K compliance as per gd_y2k.h
//      Consequences of this function is that 3-digit years are not converted.


#include"gd_tools.h"
#include"gd_y2k.h"


int     dt_sliding_window_year( int year_in )
{
    if ( year_in > 99 )
        return( year_in );

    if ( year_in < Y2K_SW2_START )
        return( year_in + Y2K_SW_NEW_CENT );

    return( year_in + Y2K_SW_OLD_CENT );
}


#if 0
void main( void )
{
    int x ;
    LOOP( x, 0, 2200, 1 )
    {   printf( "year %4d becomes %4d\n", x, dt_sliding_window_year( x ) );  }
    fprintf( stderr, "Best checked when redirected to a file...\n" );
}
#endif
