//<c>   Copyright 1980-1999 by Gerry J. Danen; all rights reserved.

//<t>   Check if the Given Date is Valid

//<y>   Y2K compliance - if no century is given, the century of today's date
//      is assumed


#include"gd_tools.h"
#include"gd_y2k.h"

#pragma check_stack(off)


BOOL    ValidDate( INT32 ymd )
/*
        If the date given is valid, OK is returned.
        If not valid, the constant ERROR is returned.
*/
{
    INT32       num, date2, century ;

    century = ymd / 1000000 ;
    if ( century < 1 )
        ymd = ymd + ((INT32) dt_todays_century2() * 1000000L) ;         // Y2K
    num   = Date2Num( ymd );
    date2 = Num2Date( num );
    if ( (date2 == ERROR) || (ymd != date2) || (num == ERROR) )
        return( ERROR );
    else
        return( OK );
}
