//<c>   Copyright 1980-1999 by Gerry J. Danen; all rights reserved.

//<t>   Find the Starting and Ending Weekday for a Given Date (yyyymmdd)

//<y>   Y2K compliance depends on other functions


#include"gd_tools.h"
#include"gd_y2k.h"


INT16   WhatWeek( INT32 this_date, INT32 *Sunday_date, INT32 *Saturday_date )
{
    UCHAR       strday[4] ;
    INT16       wkday ;
    INT32       sunday ;

    *Sunday_date = *Saturday_date = 0L ;        // in case of error
    if ( (wkday = WhatDay( this_date, strday, 0 )) == ERROR )
        return( ERROR );
    sunday = Date2Num( this_date ) - (INT32) wkday + 1L ;
    *Sunday_date   = Num2Date( sunday );
    *Saturday_date = Num2Date( sunday + 6L );
    return( wkday );
}


#if 0
static  void doit( UCHAR *str )
{
    INT32       now, Sunday, Saturday ;
    INT16       ret ;

    now = atol ( str );
    ret = WhatWeek( now, &Sunday, &Saturday );
    printf( "day=%2d   given= %08ld   Sun= %08ld   Sat= %08ld\n", ret, now, Sunday, Saturday );
}
main()
{
    UCHAR       s[ 81 ];
    INT16       endfile ;

    do
    {
        fprintf( stderr, "\nDate (yyyymmdd) > " );
        GetLine( s, 81, YES, &endfile );
        doit( s );
    }   while ( strlen(s) );
}
#endif
