//<c>   Copyright 1980-1999 by Gerry J. Danen; all rights reserved.

//<t>   Determine if user is supervisor or equivalent


#include"gd_tools.h"
#include"gd_nw.h"
#include"nit.h"


BOOL    nw_is_supervisor( STRING u )
{
    UCHAR       uName[48] ;
    int         ret ;

    ST_CPY( uName, u );
    if ( strlen(uName) < 1 )            // if user name not supplied,
        nw_get_username( uName );       //   get it

    if ( st_eq(uName, "supervisor") )   // supervisor running the job
        return( TRUE );

    ret = IsBinderyObjectInSet( uName, OT_USER, "SECURITY_EQUALS", "SUPERVISOR", OT_USER );
    if ( ret == 0 )
        return( TRUE );
    return( FALSE );
}


#if 0
void    main( int argc, char *argv[] )
{
    int x ;
    BOOL sup ;

    LOOP( x, 1, (argc-1), 1 )
    {
        sup = nw_is_supervisor( argv[x] );
        printf( "User %s %s supervisor rights\n", argv[x], sup ? "has" : "does NOT have" );
    }
    sup = nw_is_supervisor("");
    printf( "Logged-in user %s supervisor rights\n", sup ? "has" : "does NOT have" );
}
#endif
