//<c>   Copyright 1980-1999 by Gerry J. Danen; all rights reserved.

//<t>   Get Workstation Information

#include"gd_tools.h"
#include"gd_nw.h"
#include"nit.h"


STRING  nw_ws_os_type( STRING sData )           // ws's operating system type
{
    UCHAR       sResult[16] ;

    GetWorkstationEnvironment( sResult, NULPTR, NULPTR, NULPTR );
    strcpy( sData, sResult );
    return( sData );
}


STRING  nw_ws_os_ver( STRING sData )            // ws's operating system version
{
    UCHAR       sResult[16] ;

    GetWorkstationEnvironment( NULPTR, sResult, NULPTR, NULPTR );
    strcpy( sData, sResult );
    return( sData );
}


STRING  nw_ws_hw_type( STRING sData )           // ws's hardware type
{
    UCHAR       sResult[16] ;

    GetWorkstationEnvironment( NULPTR, NULPTR, sResult, NULPTR );
    strcpy( sData, sResult );
    return( sData );
}


STRING  nw_ws_hw_stype( STRING sData )          // ws's short hardware type
{
    UCHAR       sResult[16] ;

    GetWorkstationEnvironment( NULPTR, NULPTR, NULPTR, sResult );
    strcpy( sData, sResult );
    return( sData );
}


#if 0
void    main( void )
{
    UCHAR       osType[11], osVer[11], hwType[11], hwTypeS[11] ;

    printf( "%s %s %s %s\n", nw_ws_os_type(osType), nw_ws_os_ver(osVer),
                             nw_ws_hw_type(hwType), nw_ws_hw_stype(hwTypeS) );
}
#endif
