//<c>   Copyright 1980-1999 by Gerry J. Danen; all rights reserved.

//<t>   Miscellaneous Sounds

#include"gd_tools.h"
#pragma check_stack(off)


void    WhiteNoise( int lower, int upper, int duration )

//      Generate white noise in a given frequency range.
{
    ToneSet( ToneFreq( upper ) );
    ToneOn();
    for ( ; duration ; duration-- )
    {
        ToneSet( ToneFreq( RandomNumber( lower, upper ) ) );
    }
    ToneOff();
}


void    RedAlert( void )                                // red alert sound
{
    int i;

    for ( i=0 ; i < 6 ; i++ )
    {
        Glissando( 50, 2500, 0 );
    }
}


void    SoundGun( void )                                // generate machine gun noise
{
    int i;

    for ( i=0 ; i < 12 ; i++ )
    {
        WhiteNoise( 256, 4096, 100 );
        tm_sleep_msecs( 4 );
    }
}


void    Glissando( int lower, int upper, int rate )     // generate a glissando
{
    int whichway= 1;                    //  direction

    if ( upper < lower )
        whichway= -1;
    ToneOn();
    do
    {
        ToneSet( ToneFreq( lower ) );
        lower = lower + whichway;
        if ( rate )
            tm_sleep_msecs( rate );
    }   while ( upper > lower );
    ToneOff();
}
