//<c>   Copyright 1980-1999 by Gerry J. Danen; all rights reserved.

//<t>   Append a Character to a String

#include"gd_tools.h"
#pragma check_stack(off)


INT16   StrCatChar( STRING dest, UCHAR ch, INT16 maxchar )
/*
        Append character "ch" to "dest".
        Returns OK or ERROR, depending on whether the character could be appended.
*/
{
    UCHAR   src[2] ;

    src[0] = ch ;
    src[1] = EOS;
    if ( (INT16) strlen( dest ) < (maxchar-1) )
    {
        st_cat( dest, src, maxchar );
        return( OK );
    }
    return( ERROR );
}


#if 0
main()
{
    UCHAR   s[11] ;
    INT16   x, ch ;

/*  Should print:  String <ABCDEFG>        return code: OK
                   String <ABCDEFGH>       return code: OK
                   String <ABCDEFGHI>      return code: OK
                   String <ABCDEFGHIJ>     return code: OK
                   String <ABCDEFGHIJ>     return code: ERROR
                   String <ABCDEFGHIJ>     return code: ERROR
*/
    st_cpy( s, "ABCDEF", 11 );
    LOOP( x, 1, 6, 1 )
    {
        ch = StrCatChar( s, (UCHAR) ('F'+x), 11 );
        printf( "\nString <%s>\t return code: %s ", s, (ch == ERROR ? "ERROR" : "OK") );
    }
    printf( "\n\n" );
}
#endif
