//<c>   Copyright 1980-1999 by Gerry J. Danen; all rights reserved.

//<t>   Find Length of a String, not Counting Trailing Spaces

#include "gd_tools.h"
#pragma  check_stack(off)


INT16   st_len( UCHAR str[] )
{
    register int i ;
    int l=0, x=strlen(str)-1;

    LOOP( i, 0, x, 1 )
    {
        if ( (str[i] != EOS) && (! isspace(str[i])) )
            l = i+1 ;
    }
    return( (INT16) l );
}


#ifdef  C_DOC
//fn    st_len
//n     Find Length of a String, not Counting Trailing Spaces
//kw    string~ string length~ length of string
//summ
#include "gd_tools.h"

len = st_len(str);
INT16 lenThe length of string str.
UCHAR *strThe string to be checked.
//desc
This function returns the length of string str, not including trailing spaces.
//rval
len  The length of the string.
//see   strlen
//sam
void main( void )
{
    UCHAR s[81] ;

    strcpy( s, "CF " );
    printf( "[%s] - %d\n", s, st_len(s) );
    for (;;)
    {
        gets( s );
        printf( "[%s] - %d\n", s, st_len(s) );
    }
}
#endif  // C_DOC
