//<c>   Copyright 1980-1999 by Gerry J. Danen; all rights reserved.

//<t>   Remove each white space in a string

#include"gd_tools.h"


STRING  st_remove_spaces( UCHAR s[] )
{
    INT16       fx, tx, slen ;

    slen = strlen(s);
    for ( tx=0, fx=0 ; tx < slen ; )
    {
        if ( fx < slen )
        {
            if ( isspace(s[fx]) )
                fx++ ;                          // white space - skip
            else
                s[tx++] = s[fx++] ;             // nonwhite - copy & move both
        }                                       // indexes
        else
        {
            s[tx++] = EOS ;                     // no more "from" chars,
        }                                       // so set rest to EOS
    }
    return( s );
}


#if 0
void    main( void )
{
    UCHAR       str[81] ;

    strcpy( str, "\n\t\tA  \tbunch  of  stuff\t\n\r" );
    printf( "\n[%s]\n", st_remove_spaces(str) );
    strcpy( str, "      A  bunch  of  stuff   " );
    printf( "\n[%s]\n", st_remove_spaces(str) );
}
#endif
