//<c>   Copyright 1980-1999 by Gerry J. Danen; all rights reserved.

//<t>   Convert / to \ or \ to /


#include"gd_tools.h"


#pragma check_stack(off)


STRING  st_slash_make_backward( STRING str )
{
    UCHAR       *orig = str ;

    while ( *str )
    {
        if ( *str == '/' )
            *str = '\\' ;
        str++ ;
    }
    return( orig );
}


STRING  st_slash_make_forward( STRING str )
{
    UCHAR       *orig = str ;

    while ( *str )
    {
        if ( *str == '\\' )
            *str = '/' ;
        str++ ;
    }
    return( orig );
}


#if 0
void    main( void )
{
    UCHAR       str[81], *s="\\ut/abc.html\\", *t="/ut\\abc.html/" ;

                   printf( "Original string 1 = %s\n", s );
    strcpy(str,s); printf( "Convert to \\      = %s\n", st_slash_make_backward(str) );
    strcpy(str,s); printf( "Convert to /      = %s\n\n", st_slash_make_forward(str) );
                   printf( "Original string 2 = %s\n", t );
    strcpy(str,t); printf( "Convert to \\      = %s\n", st_slash_make_backward(str) );
    strcpy(str,t); printf( "Convert to /      = %s\n\n", st_slash_make_forward(str) );
}
#endif
