//<c>   Copyright 1980-1999 by Gerry J. Danen; all rights reserved.

//<t>   Strip Leading and Trailing White Spaces from a String

#include"gd_tools.h"
#pragma check_stack(off)


void    st_ltrim( STRING string )
{
    register    UCHAR *src ;

    if ( strlen(string) )
    {
        src = string ;
        while ( isspace(*src) )
            src++ ;
        st_cpy( string, src, strlen(src)+1 );
    }
}

void    st_rtrim( STRING string )
{
    register    UCHAR *last ;

    last = string + strlen(string) ;            //  get to end of string
    while ( ((*last == EOS) || (isspace(*last))) && (last NOT_LESS string) )
    {
        *last-- = EOS ;
    }
}

void    st_trim( STRING string )
{
    st_rtrim( string );
    st_ltrim( string );
}


#if 0
void    main()
{
    UCHAR   m0[41], m1[41], m2[41] ;
    strcpy( m0, " ******************************** " );
    strcpy( m1, "\t\f\r\n     Ŀ \n\r\f\t" );
    strcpy( m2, "\t\f\r\n      \n\r\f\t" );
    st_trim( m1 );  st_trim( m2 );  printf( ">%s<\n>%s<\n>%s<\n>%s<\n", m0, m1, m2, m0 );
    strcpy( m0, ""  );  st_ltrim( m0 );  printf( ">%s<\n", m0 );
    strcpy( m0, " " );  st_ltrim( m0 );  printf( ">%s<\n", m0 );
    strcpy( m0, "?" );  st_ltrim( m0 );  printf( ">%s<\n", m0 );
}
#endif
