//<c>   Copyright 1980-1999 by Gerry J. Danen; all rights reserved.

//<t>   Work with "timer ticks"

#include"gd_tools.h"


long    tm_get_ticks( void )
{
    R_REGS ;

    _AX = 0 ;
    _int86( 0x1A, &r, &r );
    return( ((long) _CX << 16) | (long) _DX );
}

#pragma optimize("",off)

void    tm_sleep_ticks( int ticks )
{
    long goal ;

    goal = (long) ticks + tm_get_ticks();
    while ( goal > tm_get_ticks() )
        ;
}


#if 0
void    main( int argc, char *argv[] )
{
    long i, tick1, tick2 ;
    time_t time1, time2;

    tick1 = tm_get_ticks();
    time( &time1 );
    printf( "  Start: %lu (%lu)\n", tick1, (ULONG)time1 );
    for ( i=1 ; i <= 100000 ; i++ )
        ;
    tick2 = tm_get_ticks();
    time( &time2 );
    printf( "    End: %lu (%lu)\n", tick2, (ULONG)time2 );
    printf( "Elapsed: %lu ticks, %lu seconds\n", tick2-tick1, (ULONG)time2-time1 );

    time( &time1 );
    tick1 = tm_get_ticks();
    tm_sleep_ticks( 37 );               //  s/b a tad over 2 seconds
    tick2 = tm_get_ticks();
    time( &time2 );
    printf( "  Slept: %lu ticks, %lu seconds\n", tick2-tick1, (ULONG)time2-time1 );
}
#endif
