//<c>   Copyright 1980-1999 by Gerry J. Danen; all rights reserved.

//<t>   Indicate "Timed Out" Status

#include"gd_tools.h"
#include<timeb.h>


#pragma check_stack(off)


long    time_1_=0, time_2_=0, interval_=0 ;
struct  _timeb  xtime_ ;


void    TimerInit( long hsecs )
{
    interval_ = (hsecs < 12L) ? 12L : hsecs ;   // minimum .12 seconds
    _ftime( &xtime_ );
    time_1_ = (long) xtime_.millitm/10L + xtime_.time*100L ;
}


INT16   TimedOut( void )
{
    _ftime( &xtime_ );
    time_2_ = (long) xtime_.millitm/10L + xtime_.time*100L ;
    return( ((time_2_ - time_1_) > interval_) ? TRUE : FALSE );
}


#if 0
void main(void)
{
    long        intv ;

    FOREVER
    {   printf( "\nEnter interval (hundredths of a second): " );
        scanf ( "%D", &intv );
        printf( "\nStarting...\a" );
        TimerInit( intv );
        while ( ! TimedOut() )
        {
            printf( "\r%ld %ld %ld ", interval_, time_1_, time_2_ );
//          printf( "." );
        }
        printf( "\a done.\n%ld milliseconds.\n", interval_ );
    }
}
#endif
