//<c>   Copyright 1980-1999 by Gerry J. Danen; all rights reserved.

//<t>   MOD-10 Check-digit Calculation


#include"gd_tools.h"


INT16   CheckDigit_10( INT32 num, INT16 digits )
//                              num     = number to calc chkdig for
//                              digits  = size of base number
{
    INT16       i, n, t, chk_digit = ERROR, strlength ;
    UCHAR       fmt[15], str[15] ;

    if ( (num NOT_LESS 0) && (InRange(digits, 1, 9)) )
    {
        if ( ! Is_Even(digits) )
            digits += 1 ;                       //  make even # of digits
        sprintf( fmt, "%s%dld", "%0", digits );
        sprintf( str, fmt, num );
        t = 0 ;
        strlength = strlen( str );
        LOOP( i, 1, strlength, 1 )
        {
            n = (INT16) (str[i-1] - '0') ;
            if ( Is_Even( i ) )
                n *= 2 ;
            if ( n > 9 )
                n -= 9 ;
            t += n ;
        }
        t = t MOD 10 ;
        if ( t > 0 )
            chk_digit = 10 - t ;
        else
            chk_digit = 0 ;
    }
    return( chk_digit );
}


#if 0
static  void calc_chk( num, digits, verify )
INT32   num ;                                   //  number to calc chkdig for
INT16   digits ;                                //  size of base number
INT16   verify ;                                //  verification number
{
    INT16       chk ;                           //  check digit, s/b 6
    chk = CheckDigit_10( num, digits );
    printf( " Number = %8ld, %d digits.  Chk = %2d (s/b %d).", num, digits, chk, verify );
    if ( chk == ERROR )  printf( " ERROR\a" );
    if ( chk != verify ) printf( " <- given error\a" );
    printf( "\n" );
}
main()
{
    printf( "\n\n MOD-10 Check-digit Calculation (SIN validation example)\n\n" );
    calc_chk( 45091189L, 8, 6 );
    calc_chk( 62185028L, 8, 8 );
    calc_chk( 62755198L, 8, 9 );
    calc_chk( 70866442L, 8, 0 );
    calc_chk(        0L, 8, 0 );
}
#endif
