//<c>   Copyright 1980-1999 by Gerry J. Danen; all rights reserved.

//<t>   Display TTY-style program logon info


#include"gd_tools.h"
#include"gd_extrn.h"


void    logon( BOOL force )
{
    static BOOL already_done = FALSE ;
    UCHAR       par[MAX_ENVVAR_SIZE] ;

    if ( already_done )                         // no need to do it more than once
        return ;
    if ( ! force )
    {
        fl_get_global_setting( par, "showRights", "", YES, "gd.tty.rights" );
        if ( st_eq(par, "OFF") || st_eq(par, "NO") || st_eq(par, "N") )
            return ;
    }

    sprintf( par, "%s%s", pgm_vers, is_shareware() ? "/S" : "" );
    printf( "\n%-8.8s %s\n%-8.8s %s\n",
        get_global_program_name(), pgm_title, par, pgm_copyrite );
    StrFill( par, (UCHAR)'', 80 );
    printf( "%s\n", par );
    already_done = TRUE ;
}
