//<c>   Copyright 1980-1999 by Gerry J. Danen; all rights reserved.

//<t>   Doubly Linked Lists - Create Unsorted List

#include"gd_tools.h"
#include"gd_llist.h"


int     dll_create_entry( STRING data )         // append an entry to the list
{
    dllist_t *llTemp ;

    llTemp = (dllist_t *) malloc( sizeof(dllist_t) );
    if ( llTemp == (dllist_t *) NULPTR )
        return( GD_ERROR_NO_MEMORY );           // out of memory

    llPrev = llCurrent ;                        // remember where we were
    if ( llCurrent == (dllist_t *) NULPTR )     // first entry
    {
        llCurrent = llFirst = llTemp ;
        llFirst->prev = (dllist_t *) NULPTR ;
    }
    else                                        // subsequent entries
    {
        llTemp->prev = llCurrent ;
        llCurrent = llTemp ;
    }
    llCurrent->next = (dllist_t *) NULPTR ;
    if ( llPrev != (dllist_t *) NULPTR )        // first entry
        llPrev->next = llCurrent ;              // set forward pointer in previous entry

    llCurrent->s = (STRING) malloc( strlen(data)+1 );
    if ( llCurrent->s == (STRING) NULPTR )
        return( GD_ERROR_NO_MEMORY );           // out of memory

    strcpy( llCurrent->s, data );
    llEntries += 1 ;
    llSeqNum  += 1 ;                            // sequence number in list
    llCurrent->n = llSeqNum ;
    llLast = llCurrent ;                        // last entry in list
    return( GD_ERROR_NONE );
}
