//<c>   Copyright 1980-1999 by Gerry J. Danen; all rights reserved.

//<t>   Doubly Linked Lists - Remove List

#include"gd_tools.h"
#include"gd_llist.h"


void    dll_remove_list( void )
{
    llCurrent = llLast ;                        // start at the last entry
    while ( llCurrent )                         // and remove till we got no more
    {
        free( llCurrent->s );                   // free string space
        llLast = llCurrent->prev ;              // point to next one back
        llCurrent = llLast ;                    // make current
        if ( llCurrent )                        // if we're not at the top yet
            free( llCurrent->next );            // free struct pointer
    }
    dll_init_list();                            // for next usage
}
