//<c>   Copyright 1980-1999 by Gerry J. Danen; all rights reserved.

//<t>   Convert Microsoft Packed Date to an ASCII String

//<y>   Y2K compliance depends on OS file stamp


#include"gd_tools.h"
#include"gd_msstr.h"
#include"gd_y2k.h"


void    MSdate2text( ms_date_t date, STRING s )
/*
        Takes date in Microsoft packed format and converts it to an ASCII
        string as "dd-Mmm-yyyy"
*/
{
    static UCHAR *mo_str[] =
    {
        "Jan", "Feb", "Mar", "Apr", "May", "Jun",
        "Jul", "Aug", "Sep", "Oct", "Nov", "Dec"
    };

    st_cpy( s, "?", 2 );
    if ( date.m != 0 )
        sprintf( s, "%2d-%s-%04d", date.d, mo_str[date.m-1], date.y+Y2K_DOS_FST_LOW ); // Y2K
}
