//<c>   Copyright 1980-1999 by Gerry J. Danen; all rights reserved.

//<t>   Calculate Number of Days between Two Dates

//<y>   Y2K compliance depends on other functions


#include"gd_tools.h"
#include"gd_y2k.h"


INT32   DaysBetween( INT32 date1, INT32 date2 ) // dates in yyyymmdd format
{
    INT32       result, d1, d2 ;
    INT16       y, m, d ;

    if ( DateSplit( date1, &y, &m, &d ) == ERROR )
        return( ERROR );                        // illegal date
    if ( DateSplit( date2, &y, &m, &d ) == ERROR )
        return( ERROR );                        // illegal date
    d1 = Date2Num( date1 );
    d2 = Date2Num( date2 );
    if ( (d1 == ERROR) || (d2 == ERROR) )
        return( ERROR );                        // illegal date
    result = d2 - d1;
    if ( result < 0 )
        result = -result;
    return( result );
}
