//<c>   Copyright 1980-1999 by Gerry J. Danen; all rights reserved.

//<t>   Check for Leap Year

//<y>   Y2K compliant


#include "gd_tools.h"
#include"gd_y2k.h"

#pragma check_stack(off)


INT16   IsLeapYear( INT16 year )
{

//  Determine whether year is a leap year.
//  If it is, return TRUE,
//  otherwise return FALSE.

    if ( year % 4 == 0 && year % 100 != 0 || year % 400 == 0 )
        return( TRUE );
    else
        return( FALSE );
}


#if 0
static  void lyr( int yr )
{   printf( "%d is%s a leap year\n", yr, (IsLeapYear(yr) ? "" : " not") );  }
void main(void)
{
    lyr( 1899 );  lyr( 1900 );  lyr( 1901 );
    lyr( 1903 );  lyr( 1904 );  lyr( 1905 );
    lyr( 1979 );  lyr( 1980 );  lyr( 1981 );
    lyr( 1999 );  lyr( 2000 );  lyr( 2001 );
    lyr( 2099 );  lyr( 2100 );  lyr( 2101 );
}
#endif
