//<c>   Copyright 1980-1999 by Gerry J. Danen; all rights reserved.

//<t>   Convert String to Month Number

//<y>   Y2K compliant


#include"gd_tools.h"
#include"gd_y2k.h"


INT16   Month2Number( UCHAR mth[] )
{
    static      UCHAR   *m[] = { "JAN", "FEB", "MAR", "APR", "MAY", "JUN", "JUL", "AUG", "SEP", "OCT", "NOV", "DEC" };
    INT16       idx;

    if ( strlen(mth) != 3 )
        return( ERROR );
    for ( idx=0 ; idx < 12 ; idx++ )
    {
        if ( _stricmp( mth, m[idx] ) == 0 )
            return( idx+1 );
    }
    return( ERROR );
}

#if 0
main()
{
    printf( " %d", Month2Number( "" ) );
    printf( " %d", Month2Number( "x" ) );
    printf( " %d", Month2Number( "xxx" ) );
    printf( " %d", Month2Number( "January" ) );
    printf( "\n\n" );
    printf( " %d", Month2Number( "Jan" ) );
    printf( " %d", Month2Number( "FEB" ) );
    printf( " %d", Month2Number( "NOV" ) );
    printf( " %d", Month2Number( "deC" ) );
    printf( "\n" );
}
#endif
