//<c>   Copyright 1980-1999 by Gerry J. Danen; all rights reserved.

//<t>   Find the Date after the Given Date

//<y>   Y2K compliance ... not tested   //~~~


#include"gd_tools.h"
#include"gd_y2k.h"

#pragma check_stack(off)


//~~~ Leap years need to be taken into account yet... Could use NewDate()

void    nextday( int *dd, int *mm, int *yy )
{
    *dd += 1 ;
    if ( *dd > DaysInMonth( (INT32) (*yy) * 10000L + (INT32) (*mm) * 100L + (INT32) (*dd) ) )
    {
        *dd  = 1 ;
        *mm += 1 ;
        if ( *mm > 12 )
        {
            *mm  = 1 ;
            *yy += 1 ;
        }
    }
}


#if 0
void    main( int argc, char *argv[] )
{
    int ch, dow, dd, mm, yy, out_toggle=0 ;
    if ( argc != 4 )
    {   fprintf( stderr, "\nUsage:\tDOW dd mm yyyy\n\n\tWhere\n"
                         "\n\t\tdd is the starting day\n\t\tmm is the starting month"
                         "\n\t\tyyyy is the starting year\n\n\tSample:\n\n\t\tDOW 26 12 1949\n" );
        exit(1);
    }
    dd = atoi( argv[1] );
    mm = atoi( argv[2] );
    yy = atoi( argv[3] );
    fprintf( stderr, "Hit any key to check the date, [Esc] to quit.\n" );
    printf( "DOW: checking for dow() errors:\n\n" );
    while ( 1 )
    {   dow = doit( dd, mm, yy );
        if ( _kbhit() )
        {   out_toggle = ! out_toggle ;
            ch = _getch();
            if ( ch == 27 )
            {   printf( "%02d-%02d-%04d  <cancelled>\n", dd, mm, yy );
                exit( 1 );
            }
            fprintf( stderr, "%02d-%02d-%04d  %s\n", dd, mm, yy, DayName(dow) );
        }
        if ( out_toggle )
            printf( "%02d-%02d-%04d  %s\n", dd, mm, yy, DayName(dow) );
        nextday( &dd, &mm, &yy );
    }
}
#endif
