//<c>   Copyright 1980-1999 by Gerry J. Danen; all rights reserved.

//<t>   Set the New System Date

//<y>   Y2K compliance depends on other functions


#include"gd_tools.h"
#include"gd_y2k.h"


INT16   SetSysDate( INT32 yyyymmdd )
/*
        Usage:  errcode = SetSysDate(ymd);
*/
{
    R_REGS ;
    INT16       yyyy, mm, dd ;

    if ( DateSplit( yyyymmdd, &yyyy, &mm, &dd ) != OK )
        return( ERROR );                        // illegal system date
    _AH = SET_DATE;
    _CX = yyyy ;
    _DH = (HALF_REGISTER) mm ;
    _DL = (HALF_REGISTER) dd ;
    INTDOS( r );
    if ( _AL != 0 )
        return( ERROR );                        // illegal system date
    return( OK );
}
