//<c>   Copyright 1980-1999 by Gerry J. Danen; all rights reserved.

//<t>   Return century part of today's date

//<y>   Y2K compliance depends on system clock


#include"gd_tools.h"
#include"gd_y2k.h"


static  int dt_tcent_number_ ;


int     dt_todays_century2( void )
{
    INT32       ymd ;
    INT16       y, m, d ;

    if ( dt_getsystemdate( &ymd, &y, &m, &d ) == ERROR )
        dt_tcent_number_ = 0 ;
    else
        dt_tcent_number_ = y / 100 ;

    return( dt_tcent_number_ );
}


int     dt_todays_century4( void )
{
    dt_todays_century2();
    return( dt_tcent_number_ * 100 );
}


#if 0
void main(void)
{
    printf( "2-digit century = %d\n", dt_todays_century2() );
    printf( "4-digit century = %d\n", dt_todays_century4() );
    printf( "Single printf() statement produces [%d] and [%d]\n",
            dt_todays_century2(), dt_todays_century4() );
}
#endif
