//<c>   Copyright 1980-1999 by Gerry J. Danen; all rights reserved.

//<t>   Set the System Date & Time in a Global Variable

//<y>   Y2K compliance depends on system clock


#include"gd_tools.h"
#include"gd_y2k.h"

#pragma check_stack(off)


static  UCHAR   todays_day_[4], todays_date_[10], todays_ldate_[12], todays_time_[8] ;


static  void    TodaysDateAndTime_( void )
{
    INT16       yy,mm,dd, h,m,s,t ;
    INT32       ymd, hmst,tics ;

    dt_getsystemdate( &ymd, &yy, &mm, &dd );
    FormatDate( ymd, todays_date_,  1 );
    FormatDate( ymd, todays_ldate_, 9 );
    WhatDay( ymd, todays_day_, 0 );
    tm_getsystemtime( &hmst, &tics, &h, &m, &s, &t );
    FormatTime( hmst, todays_time_, 0, 0 );
}


STRING  TodaysDay( void )
{
    TodaysDateAndTime_();
    return( todays_day_ );
}


STRING  TodaysDate( void )
{
    TodaysDateAndTime_();
    return( todays_date_ );
}


STRING  TodaysCDate( void )
{
    TodaysDateAndTime_();
    return( todays_ldate_ );
}


STRING  TodaysTime( void )
{
    TodaysDateAndTime_();
    return( todays_time_ );
}


#if 0
void main(void)
{
    printf( "\n\t\t%s %s %s\n", TodaysDay(), TodaysDate(), TodaysCDate(), TodaysTime() );

//  Produces:   Fri 08-Jan-88 08-Jan-1988 04:17pm
}
#endif
