//<c>   Copyright 1980-1999 by Gerry J. Danen; all rights reserved.

//<t>   Convert separate day, month, and year to YMD

//<y>   Compliant as per dt_sliding_window_year()


#include"gd_tools.h"
#include"gd_y2k.h"

#pragma check_stack(off)


INT32   dt_ymd( int dd, int mm, int yy )
/*
        Usage:  yyyymmdd = dt_ymd( day, mth, year );
*/
{
    INT32       ymd ;

    yy = dt_sliding_window_year( yy );          // Y2K

    ymd = ((INT32)yy * 10000L) + ((INT32)mm * 100L) + (INT32)dd ;

    return( ymd );
}
