//<c>   Copyright 1980-1999 by Gerry J. Danen; all rights reserved.

//<t>   Delete a disk file

#include"gd_tools.h"
#include<io.h>


INT16   fl_delete( STRING f_name )
/*
  Synopsis      error = fl_delete( f_name );
                INT16 error     0 if OK.
                UCHAR *f_name   name of file to be deleted.

  Description   Calls MS unlink function.

  Returns       error           error code
*/
{
    int result ;

    result = _unlink( f_name );
    if ( result == -1 )
        result = errno ;
    return( result );
}
