//<c>   Copyright 1980-1999 by Gerry J. Danen; all rights reserved.

//<t>   Check whether certain TSRs are installed using Multiplex calls

#include"gd_tools.h"


BOOL    is_installed( INT16 mplex_code )
{
    R_REGS ;

    if ( _osmajor < 3 )
        return( FALSE );                // can't check some, assume not loaded
    _AX = mplex_code ;
    MULTIPLEX_CALL(r);
    if ( _AL )                          // non-zero (mostly 0xFF) = loaded
        return( TRUE );
    return( FALSE );
}


#if 0
void    main( void )
{
    printf( "\nDrivers/TSRs Loaded:\n\n" );
    printf( "ANSI.SYS  %s\n", ISLOADED_ANSI()    ? "YES" : "no" );
    printf( "HIMEM.SYS %s\n", ISLOADED_HIMEM()   ? "YES" : "no" );
    printf( "APPEND    %s\n", ISLOADED_APPEND()  ? "YES" : "no" );
    printf( "ASSIGN    %s\n", ISLOADED_ASSIGN()  ? "YES" : "no" );
    printf( "PRINT     %s\n", ISLOADED_PRINT()   ? "YES" : "no" );
    printf( "NLSFUNC   %s\n", ISLOADED_NLSFUNC() ? "YES" : "no" );
    printf( "DOSKEY    %s\n", ISLOADED_DOSKEY()  ? "YES" : "no" );
    printf( "DOSDOCK   %s\n", ISLOADED_DOSDOCK() ? "YES" : "no" );
    printf( "SHARE     %s\n", ISLOADED_SHARE()   ? "YES" : "no" );
//  printf( "NETWORK redirector %s\n", ISLOADED_NETWORK() ? "YES" : "no" );
}
#endif
