//<c>   Copyright 1980-1999 by Gerry J. Danen; all rights reserved.

//<t>   NetWare: Get Station Address
//      Returns the physical node address of the requesting workstation

#include"gd_tools.h"
#include"gd_nw.h"


#define TESTING FALSE


void    nw_get_station_address( BYTE node[] )
{
    R_REGS ;

    _AH = 0xEE ;
    DOS_CALL(r);
#if TESTING
    printf( "AX = %X\n", _AX );
#endif
    sprintf( &node[0], "%04X%04X%04X", _CX, _BX, _AX );
    if ( ! nw_installed_NetWare() )
        sprintf( &node[0], "000000000000" );
}


#if TESTING
void    main( void )
{
    UCHAR node_addr[13] ;
    nw_get_station_address( node_addr );
    printf( "node address = %s\nnetware is %sinstalled\n",
            node_addr, nw_installed_NetWare() ? "" : "not " );
}
#endif
