//<c>   Copyright 1980-1999 by Gerry J. Danen; all rights reserved.

//<t>   NetWare: convert hi-lo words and longs to standard lo-hi

#include"gd_tools.h"
#include"gd_nw.h"


ULONG   nw_long_hilo_to_lohi( ULONG number )
{
    union
    {
        ULONG l ;
        UCHAR c[4] ;
    }   in, out ;

    in.l = number ;
    out.c[0] = in.c[3] ;
    out.c[1] = in.c[2] ;
    out.c[2] = in.c[1] ;
    out.c[3] = in.c[0] ;
    return( out.l );
}


WORD16  nw_word_hilo_to_lohi( WORD16 number )
{
    union
    {
        WORD16 w ;
        UCHAR c[2] ;
    }   in, out ;

    in.w = number ;
    out.c[0] = in.c[1] ;
    out.c[1] = in.c[0] ;
    return( out.w );
}


#if 0
void    main( void )
{
    ULONG tbl1[6] = {0x10000001, 0x4B00001E, 0x4000006, 0xA000001, 0x1D000001, 0x0} ;
    ULONG tbl2[6] = {0x1000010,  0x6000004,  0x100000A, 0x100001D, 0x1000013,  0x0} ;
    ULONG n1, n2 ;
    int x ;

    printf( "%d\n\n----TBL1----    ----TBL1----    ----TBL2----    ----TBL2----\n", sizeof(ULONG) );
    LOOP( x, 0, 5, 1 )
    {
        n1 = nw_long_hilo_to_lohi( tbl1[x] );
        n2 = nw_long_hilo_to_lohi( tbl2[x] );
        printf( "%12lX -> %12lX    %12lX -> %12lX\n", tbl1[x], n1, tbl2[x], n2 );
    }
}
#endif
