//<c>   Copyright 1980-1999 by Gerry J. Danen; all rights reserved.

//<t>   Find the Login Drive Letter

#include"gd_tools.h"


BOOL    nw_login_drive_letter( char *drLetter, STRING targetFile, UCHAR driveLetters[] )
{
    char        fSpec[FS_LEN] ;
    int         i, iFrom, iTo ;

    *drLetter = 'F' ;                           // just in case

    if ( strlen(driveLetters) != 2 )
        return( ERROR );                        // error - default to F:

    iFrom = (char) driveLetters[0] - 'A' ;
    iTo   = (char) driveLetters[1] - 'A' ;
//printf( "%d %d\n", iFrom, iTo );

    for ( i = iFrom ; i <= iTo ; i++ )          // range of drives to check
    {
        *drLetter = (char) ('A' + i) ;          // form a drive letter
        sprintf( fSpec, "%c:\\%s", *drLetter, targetFile );
//printf( "Checking %s\n", fSpec );
        if ( fl_exist(fSpec) )
            return( OK );                       // found it!
    }
    return( ERROR );                            // not found - default to F:
}


#if 0
void    main( int argc, char *argv[] )
{
    char        drv=' ', ev[256] ;
    int         i, exitCode ;

    if ( argc > 1 )
        ST_CPY( ev, argv[1] );
    else
        ST_CPY( ev, "drive.net" );

    i = nw_login_drive_letter( &drv, "LOGINDRV.$$$", "DZ" );
    if ( i == ERROR )
    {
        exitCode = 99 ;                         // errorlevel
        printf( "rem Could not find target file\n" );
    }
    else
        exitCode = drv - 'A' ;                  // errorlevel

    printf( "set %s=%c:\nrem errorlevel=%d\n", ev, drv, exitCode );
    exit( exitCode );
}
#endif
