//<c>   Copyright 1980-1999 by Gerry J. Danen; all rights reserved.

//<t>   Send messages to groups of users, but never to my own station

#include"gd_tools.h"
#include"gd_nw.h"
#include"nit.h"


int     nw_send_msg_to_group( STRING gname, UCHAR msg[] )
{
    int         result=0, ccode, conn, maxUsers=nw_maximum_users()-1,
                myConn=nw_get_connection_number() ;
    WORD        connList[2] ;
    BYTE        resList[2], netNum[9], netNode[13], netSock[5] ;
    UCHAR       lMsg[56], name[49] ;
    long        object ;
    WORD16      type ;
    INT32       log_date, log_time ;

    ST_CPY( lMsg, msg );
    st_trim( lMsg );
    LOOP( conn, 0, maxUsers, 1 )
    {
        if ( conn != myConn )
        {
            ccode = nw_get_conn_info( conn, name, &type, &object, &log_date, &log_time, netNum, netNode, netSock );
            if ( ! ccode )
            {
                if ( nw_is_user_in_group(name, gname) )
                {
                    connList[0] = conn ;
                    ccode = SendBroadcastMessage( lMsg, connList, resList, (WORD) 1 );
                    if ( ccode == 0 && resList[0] == 0 )
                        result += 1 ;
                }
            }
        }
    }
    return( result );
}


#if 0
void    main( int argc, char *argv[] )
{
    int count ;

    count = nw_send_msg_to_group( "IS", "Just testing..." );
    printf( "Message successfully sent to %d users\n", count );
}
#endif
