//<c>   Copyright 1980-1999 by Gerry J. Danen; all rights reserved.

//<t>   Get the NetWare Shell version
//
//      Returns ...


#include"gd_tools.h"
#include"gd_nw.h"
#include"nit.h"


int     nw_shell_version( int *majorV, int *minorV, int *revision )
{
    int         result=0, ccode ;
    BYTE        maj, min, rev ;

    *majorV = *minorV = *revision = 0 ;         // in case of error

    ccode = GetNetWareShellVersion( &maj, &min, &rev );
    if ( ccode == 0xFF )
    {
        *majorV   = maj ;
        *minorV   = min ;
        *revision = rev ;
        result = ((int)maj * 100) + (int)min ;
    }
    return( result );
}


#if 0
void    main( void )
{
    int v, majorV, minorV, revision ;
    v = nw_shell_version( &majorV, &minorV, &revision );
    printf( "NetWare SHELL version %d = %d.%02d.%d\n",
            v, majorV, minorV, revision );
}
#endif
