//<c>   Copyright 1980-1999 by Gerry J. Danen; all rights reserved.

//<t>   NetWare:  get file server name

#include"gd_tools.h"
#include"gd_nw.h"


BYTE FAR *nw_get_fserver_name_table( void )
{
    R_REGS ;
    S_SREGS ;
    BYTE FAR *ptr ;

    _segread( &s );
    _AH = 0xEF ;
    _AL = 0x04 ;
    _int86x( DOS_FUNCTION, &r, &r, &s );
    FP_SEG( ptr ) = _ES ;
    FP_OFF( ptr ) = _SI ;
    return( ptr );
}


STRING  nw_server_name( WORD16 ConnectionID )
{
    BYTE FAR *serverNameTable ;
    static UCHAR servername[33] ;
    int i, x ;

    memset( servername, 0, sizeof( servername ) );
    serverNameTable = nw_get_fserver_name_table();

    if ( INRANGE(ConnectionID,1,8) )            // 8 servers in table
    {
        x = (ConnectionID - 1) * 48 ;
        LOOP( i, 1, x, 1 )
        {
            serverNameTable++ ;
        }
        LOOP( i, 0, 31, 1 )
        {
            servername[i] = *serverNameTable ;
            serverNameTable++ ;
        }
        st_trim( servername );
        _strupr( servername );
        if ( ! strlen(servername) )
            strcpy( servername, "<none>" );
    }
    else
    {
        strcpy( servername, "<invalid>" );
    }
    return( servername );
}


#if 0
void    main( void )
{
    int x ;
    LOOP( x, 0, 9, 1 )
    {
        printf( "Server %d = %s\n", x, nw_server_name( (WORD16) x ) );
    }
}
#endif
