//<c>   Copyright 1980-1999 by Gerry J. Danen; all rights reserved.

//<t>   Get the Program Name

#include"gd_tools.h"
#pragma check_stack(off)


//      extern _pgmptr is defined in stdlib.h


STRING  program_name( STRING pname, STRING pathonly, STRING fullpath )
{
    UCHAR       *cp, *pn, *ptr, *pathend ;
    INT16       n=0 ;

    ptr = _nstrdup( _pgmptr );          //  make a copy
    _strupr( ptr );                     //  uppercase
    strcpy ( fullpath, ptr );           //  save that one first

    pn = pname ;                        //  save pointer for return

    //  Find the end of the path name

    cp = ptr ;                          //  begin at the beginning
    while ( *cp != EOS )
        cp++ ;

    //  Find start of filename part

    while ( (cp > ptr) && (*cp != PATH_SEP_CH) && (*cp != DRIV_SEP_CH) )
        cp-- ;
    if ( cp > ptr )
        cp++ ;                          //  move to right of pathname separator

    pathend = cp ;                      //  keep end of path

    //  Copy the filename part, maximum 8 characters

    while ( (*cp != '.') && (*cp != EOS) && (n < 8) )
    {
        *pname++ = *cp++ ;
        n++ ;
    }
    *pname = EOS ;
    *pathend = EOS ;                    //  just the path now
    strcpy( pathonly, ptr );
    free( ptr );
    return( pn );
}


#if 0
void main( int argc, char *argv[] )
{
    UCHAR pname[9], ppath[128], fpath[128] ;
    program_name( pname, ppath, fpath );
    printf( "Name: %s\nPath: %s\nFull: %s\n", pname, ppath, fpath );
    printf( "_pgm: %Fs\n", _pgmptr );
}
#endif
