//<c>   Copyright 1980-1999 by Gerry J. Danen; all rights reserved.

//<t>   Remove all characters, except alphanumerics in a string

#include"gd_tools.h"


STRING  st_keep_only_alnum( UCHAR s[] )
{
    INT16       fx, tx, slen ;

    slen = strlen(s);
    for ( tx=0, fx=0 ; tx < slen ; )
    {
        if ( fx < slen )
        {
            if ( isalnum(s[fx]) )
                s[tx++] = s[fx++] ;     //  copy & move both indexes
            else
                fx++ ;                  //  skip
        }
        else
        {
            s[tx++] = EOS ;             //  no more "from" chars, so set rest to EOS
        }
    }
    return( s );
}


#if 0
void    main( void )
{
    UCHAR str[512] ;
    strcpy( str, "\n\t\tA  \tbunch  of  stuff\t\n\r" );
    printf( "\n[%s]\n", st_keep_only_alnum(str) );
    strcpy( str, " ~!@#$%^&*()_+`1234567890-=QWERTYUIOP{}qwertyuiop[]:\";'<>?,./\\|" );
    printf( "\n[%s]\n", st_keep_only_alnum(str) );
}
#endif
