//<c>   Copyright 1980-1999 by Gerry J. Danen; all rights reserved.

//<t>   Append a String to Another String

#include"gd_tools.h"
#pragma check_stack(off)


STRING  st_cat( UCHAR dest[], UCHAR src[], INT16 maxchar )
/*
        Append a string from "src" to "dest".  At the most, ("maxchar"-1)
        characters will be copied, in order to accomodate the terminating NULL.
        "dest" must be "maxchar" characters long.
*/
{
    INT16       n, p ;

    p = strlen( dest );
    n = maxchar - p ;
    if ( n > 0 )
        st_cpy( &dest[p], src, n );
    return( dest );                             //  destination string
}


#if 0
void main()
{
    UCHAR s[11] ;

//  Should print:  String <1234567890>

    st_cpy( s, "12345678", 11 );
    st_cat( s, "90ABCDEF", 11 );
    printf( "\nString <%s>\n\n", s );
}
#endif
