//<c>   Copyright 1980-1999 by Gerry J. Danen; all rights reserved.

//<t>   Append a Number of Characters to a String

#include"gd_tools.h"
#pragma check_stack(off)


INT16   StrCatChars( STRING dest, UCHAR ch, INT16 howmany, INT16 maxchar )
/*
        Append "howmany" copies of character "ch" to "dest".  "maxchar" always
        allows for EOS.  Returns OK or ERROR, depending on whether the
        characters could be appended.
*/
{
    while ( howmany )
    {
        if ( StrCatChar( dest, ch, maxchar ) == ERROR )
            return( ERROR );
        howmany -= 1 ;
    }
    return( OK );
}


#if 0
void main(void)
{
    UCHAR       s[ STR_LEN ] ;
    INT16       x ;

//  Should print:  String <ABCDEFGHQQQQQ>   return code: OK
//                 String <ABCDEFGHQQQQQY>  return code: ERROR

    st_cpy( s, "ABCDEFGH", STR_LEN );
    x = StrCatChars( s, 'Q', 5, 15 );
    printf( "\nString <%s>\t return code: %s ", s, (x == ERROR ? "ERROR" : "OK") );
    x = StrCatChars( s, 'Y', 5, 15 );
    printf( "\nString <%s>\t return code: %s ", s, (x == ERROR ? "ERROR" : "OK") );
    printf( "\n\n" );
}
#endif
