//<c>   Copyright 1980-1999 by Gerry J. Danen; all rights reserved.

//<t>   Copy a string to another string while changing tabs to spaces

#include"gd_tools.h"
#pragma check_stack(off)


STRING  StrDetab( STRING dest, STRING src, INT16 maxchar )

//      Copy the string from "src" to "dest".  At the most, ("maxchar"-1)
//      characters will be copied, in order to accomodate the terminating NULL.
//      "dest" must be "maxchar" characters long.

{
    INT16       ns=0, nd=0 ;

    maxchar -= 1 ;
    while ( src[ns] )
    {
        if ( nd > maxchar )
            break ;
        if ( src[ns] == '\t' )
        {
            do  {
                dest[nd++] = SPACE ;
            }
            while ( (nd MOD 8) && (nd NOT_GR maxchar) );
            ns += 1 ;
        }
        else
        {
            dest[nd++] = src[ns++] ;
        }
    }
    dest[nd++] = EOS ;
    return( dest );                             //  destination string
}


#if 0
void main( void )
{
    UCHAR s[81] ;

/*  Should print:
String:
        1       2       3       4       5       6       7       8       9
*/
    StrDetab( s, "\t1\t2\t3\t4\t5\t6\t7\t8\t9\t10\t11\t12\tdone.\t->nl. \n", 80 );
    printf ( "\nString:\n---\n%s\n---\n", s );
}
#endif
