//<c>   Copyright 1980-1999 by Gerry J. Danen; all rights reserved.

//<t>   Reduce each white space to a single blank character in string

#include"gd_tools.h"


STRING  st_reduce_spaces( STRING s )
{
    INT16   gotone, fx, tx, slen ;

    slen = strlen(s);
    for ( tx=0, fx=0, gotone=FALSE ; tx < slen ; )
    {
        if ( fx < slen )
        {
            if ( isspace(s[fx]) )
            {
                if ( ! gotone )         //  first white space char, put in a blank
                {
                    s[tx++] = ' ';
                    fx++ ;
                    gotone = TRUE ;
                }
                else
                {
                    fx++ ;              //  multiple white space - skip
                }
            }
            else
            {
                s[tx++] = s[fx++] ;     //  nonwhite - copy & move both indexes
                gotone = FALSE ;        //  no longer in a white space
            }
        }
        else
        {
            s[tx++] = EOS ;             //  no more "from" chars, so set rest to EOS
        }
    }
    return( s );
}


#if 0
void    main()
{
    UCHAR       str[81] ;

    strcpy( str, "\n\t\tA  \tbunch  of  stuff\t\n\r" );
    printf( "\n[%s]\n", st_reduce_spaces(str) );
    strcpy( str, "      A  bunch  of  stuff   " );
    printf( "\n[%s]\n", st_reduce_spaces(str) );
}
#endif
