//<c>   Copyright 1980-1999 by Gerry J. Danen; all rights reserved.

//<t>   Get & Remove Words from a String

#include"gd_tools.h"


STRING  st_remove_word( STRING str )            // remove first word in string
{
    register int i ;

    st_ltrim( str );                            // get rid of leading spaces
    if ( str[0] != EOS )
    {
        i = 0 ;
        while ( (str[i]) && (! isspace(str[i])) )
        {
            str[i++] = SPACE ;
        }
    }
    st_ltrim( str );
    return  ( str );
}


STRING  st_get_word( STRING dest, STRING str )  // get first word in string
{
    UCHAR       ch, *word = dest ;

    if ( strlen(str) )
    {
        while ( (ch = *str++) && isspace(ch) )
            ;                                   // skip spaces
        str-- ;
        while ( (ch = *str++) && (! isspace(ch)) )
        {
            *dest++ = ch ;                      // copy non-space chars
        }
    }
    *dest = EOS ;                               // terminate string
    return ( word );
}


long    st_len_word( STRING str )               // get length of first word in string
{
    UCHAR       ch ;
    long        Lsize = 0 ;

    if ( strlen(str) )
    {
        while ( (ch = *str++) && isspace(ch) )
            ;                                   // skip spaces
        str-- ;
        while ( (ch = *str++) && (! isspace(ch)) )
        {
            Lsize += 1L ;                       // count non-space chars
        }
    }
    return ( Lsize );
}
