//<c>   Copyright 1980-1999 by Gerry J. Danen; all rights reserved.

//<t>   "sleep" # of micro-seconds

#include"gd_tools.h"
#include"gd_extrn.h"

#pragma optimize("", off)
#pragma check_stack(off)


void    tm_sleep_msecs( clock_t wait )
{
    static clock_t goal ;

    goal = wait + clock();
    while ( goal > clock() )
        ;
}


void    tm_sleep_secs( int secs )
{
    tm_sleep_msecs( ((clock_t) secs) * CLOCKS_PER_SEC );
}


#if 0
static  void    tone( int frequency, int duration )     //  Make a tone
{
    if ( _sound_sys )
    {
        ToneSet( ToneFreq( frequency ) );
        ToneOn();
        tm_sleep_msecs( duration );
        ToneOff();
    }
}
static  void    glissando( int lower, int upper, int rate )     // generate a glissando
{
    int whichway= 3;                    //  direction

    if ( upper < lower )
        whichway= -3;
    ToneOn();
    do
    {
        ToneSet( ToneFreq( lower ) );
        lower = lower + whichway;
        if ( rate )
            tm_sleep_msecs( rate );
    }   while ( upper > lower );
    ToneOff();
}
void    main( void )
{
    time_t time1, time2;

    gd_init( 1 );
    printf( "=> %ld", clock() );
//  time ( &time1 );
    tm_sleep_msecs( (clock_t)3 * CLOCKS_PER_SEC );
//  time ( &time2 );
//  printf( "%ld seconds, %ld ticks/second\n", (long) time2-time1, (long) CLOCKS_PER_SEC );
//  glissando( 800, 1200, 5 );
//  glissando( 1200, 800, 1 );
    printf( " - %ld\n", clock() );
    FOREVER
    {
        printf( "\r%ld", clock() );
    }
    gd_exit( 0, "" );
}
#endif
