//<c>   Copyright 1980-1999 by Gerry J. Danen; all rights reserved.

//<t>   Get the System Time

#include "gd_tools.h"


#pragma check_stack(off)


INT16   tm_getsystemtime( INT32 *hhmmsstt, INT32 *tics, INT16 *hh, INT16 *mm, INT16 *ss, INT16 *tt )
{
    R_REGS ;

    *ss = 99 ;
    while ( *ss > 59 )
    {
        _AH = GET_TIME ;
        INTDOS( r );
        *hh = _CH ;                             // This function call sometimes
        *mm = _CL ;                             // returns a value of 60 for the
        *ss = _DH ;                             // seconds.  Must program around
        *tt = _DL ;                             // that bug.
        if ( *ss < 60 )
        {
            if ( OUTRANGE(*hh,0,23) || OUTRANGE(*mm,0,59) || OUTRANGE(*ss,0,59) || OUTRANGE(*tt,0,99) )
            {
                *hh = *mm = *ss = *tt = 0 ;
                *hhmmsstt = *tics = 0L ;
                return( ERROR );        //  Illegal system time
            }
        }
    }
    *hhmmsstt = ((*hh)*1000000L) + ((*mm)*10000L) + ((*ss)*100L) + (*tt);
    *tics     = ((*hh)*360000L)  + ((*mm)*6000L)  + ((*ss)*100L) + (*tt);
    return( OK );
}


#if 0
void main(void)
{
    INT32 ymd ;
    INT16 err, y, m, d ;

//  err = dt_getsystemdate(&ymd,&y,&m,&d);
//  printf( "%ld -> %d %d %d\n", ymd,y,m,d);
}
#endif
