//<c>   Copyright 1980-1999 by Gerry J. Danen; all rights reserved.

//<t>   Reboot IBM PC & compatibles

#include"gd_tools.h"


int     boot_cold(void);                //  ASM routines
int     boot_warm(void);


void    Reboot( UCHAR which )
{
    if ( which == 'c' || which == 'C' )
        (*boot_cold)();
    else
        (*boot_warm)();
}


#if 0
void main()
{
    int ch ;

    fprintf( stderr, "\n\n---reboot---\n\n\aPress 'C' for cold boot, anything else for warm boot..." );
    _flushall();                        //  flush all buffers
    ch = _getch();
    Reboot( (UCHAR) ch );
    printf( "\n\n Error: reboot failed.\n\n\a" );
    exit( 99 );
}
#endif
//              Cold boot routine callable from C
//
// _TEXT        segment byte public 'CODE'
//              assume  cs:_TEXT
//              public  _boot_cold
// _boot_cold   proc    far
//              mov     ax,0FFFFh
//              push    ax
//              inc     ax
//              push    ax
//              mov     es,ax           ; Do NOT move 1234h in
//              mov     es:472h,1111h   ;   this location (1234h = warm boot)
//              ret
// _boot_cold   endp
// _TEXT        ends
//              end


//              Warm boot routine callable from C
//
// _TEXT        segment byte public 'CODE'
//              assume  cs:_TEXT
//              public  _boot_warm
// _boot_warm   proc    far
//              mov     ax,0FFFFh
//              push    ax
//              inc     ax
//              push    ax
//              mov     es,ax           ; Must be included for
//              mov     es:472h,1234h   ;   a warm boot!
//              ret
// _boot_warm   endp
// _TEXT        ends
//              end
