//<c>   Copyright 1980-1999 by Gerry J. Danen; all rights reserved.

//<t>   Nybble/byte operations


#include"gd_tools.h"

#pragma check_stack(off)


UCHAR   Nybbles2Byte( UCHAR hi, UCHAR lo )      //  Combine 2 half-bytes (nybbles) into 1 byte
{
        return( (UCHAR) ((( hi & 0x000F ) << 4) | ( lo & 0x000F )) );
}


UCHAR   NybbleLow( UCHAR ch )                   //  Return the low nybble of a byte
{
        return( (UCHAR) ( ch & 0x000F ) );
}


UCHAR   NybbleHigh( UCHAR ch )                  //  Return the high nybble of a byte
{
        return( (UCHAR) ( (ch>>4) & 0x000F ) );
}
